Path Parameters
Response
200 OK
GET /api/wallet/:did/activities, GET /api/wallet/:did/presentations, POST /api/wallet/:did/credentials/share, and POST /api/wallet/:did/credentials/:credential_id/anonymous-proof.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List credentials stored in a holder wallet
GET /api/wallet/did:alyra:z6Mkf.../credentials HTTP/1.1
Authorization: Bearer <jwt>
X-User-DID: did:alyra:z6Mkf...
| Parameter | Type | Description |
|---|---|---|
did | string | Holder DID. The backend normalizes compatible DID formats before querying. |
200 OK
{
"success": true,
"data": [
{
"id": "aly:uuid",
"issuer_did": "did:alyra:issuer...",
"issuer_name": "Issuer example",
"credential_type": "NationalID",
"credential_preview": {
"full_name": "Alice Smith"
},
"credential_data": {
"full_name": "Alice Smith"
},
"ipfs_hash": "Qm...",
"status": "active",
"signature_type": "bbs+",
"evidence_attachments": [],
"extensions": []
}
],
"count": 1,
"query_did": "did:alyra:z6Mkf..."
}
GET /api/wallet/:did/activities, GET /api/wallet/:did/presentations, POST /api/wallet/:did/credentials/share, and POST /api/wallet/:did/credentials/:credential_id/anonymous-proof.